WordPress Theme and Plugin Detector

Scan and Detect WordPress Themes, Plugins and Security Issues.

Last 10 Wordpress and Theme Detections

Domain WP Version Theme Theme Version
ithrivegames.org 5.4.2IThrive 2019 Wordpress Theme1.0.81
barcelonavideo.es 5.5.3Astra2.6.0
replyco.com undetectedReplyco1.0;
parkereninhelicon.nl 5.4.2Interparking_multisiteCustom
www.trackoo.fr 4.3.25AvadaCustom
goodgrunt.ru undetectedGoodgrunt1.1
baragozik.ru undetectedTwenty TenCustom
wisela.org 5.6.1Avada7.2.1
readme.md 5.6.2MasterStudy4.2.0
creacionliteraria.net 4.9.16Schema by MyThemeShop3.1.2


Detect Themes, Plugins, Hosting Provider and Wordpress Security Vulnerabilities!

What is WPSafeScan?

WPSafeScan Provides a Free Security Scanning audit for your Wordpress website. Our automated scan tool will do an outside in scan to Detect the Wordpress Theme, Plugins as well as which versions are currently installed.

Our scanner tool also checks Themes and Plugins for known vulnerabilities and software versions, which no other Free online Scanner or detector does. Additionally we check multiple vulnerability databases to identify vulnerable installs as well as custom security checks and security score based on our audit algorithm.

Can you detect ALL Plugins and Themes?

Since WPSafeScan is an outside in scan, we scan the website and not the actual file code we can only detect Themes and Plugins as well as identify the versions installed which are shown in source code. This is the same information an attacker would use to identify vulnerabilities.

After testing our Scanner on tens of thousands of websites we have a detection and accuracy rate of over 85% for Wordpress Verison, Theme Used and Plugins as well as the versions currently activated.

What do I do if you find a vulnerable Theme or Plugin?

Once the Wordpres scan is complete the current Wordpress Version, Theme and Plugin versions detected are displayed with links to update to the latest versions. If we find a known vulnerable version there will be an alert with a link to update.

Immediately update outdated Themes and Plugins. The most common ways Wordpress websites get hacked is due to outdated, vulnerable plugins and themes. Most Plugin and Theme authors update their code once a security vulnerability is disclosed. Keeping your Themes and Plugins up to date is your first step in securing your website!

How can I make sure my website is secure?

Other than making sure you update all of your Themes and Plugins on a Wordpress Website there's many free and low cost ways to make sure your website is protected and secured from online threats. If you don't already have a FREE Cloudflare firewall, make that the next thing you do!

Cloudflare's free firewall can help prevent many automatic hack attempts against your website. Not only that, it's going to hide your actual Server IP address from direct threats and bots increasing your sites security. Did we mention it's FREE?

How often can I scan my website?

With our FREE WordPress Theme, Plugin Detector and Security Audit tool you can scan your website once every 4 hours. We've put this limit in place to prevent abuse and misuse of the scanning tool.

Where can I learn more about Wordpress & Website Security?

Checkout our Free Website Security News & Articles Our team has a decades of experience in Website Security and share many free and lowcost ways to help protect your website from online threats.

Do you have any other FREE tools I can use?

Currently we have several other tools to help you secure your website as well as your personal safety online. Checkout our Security Tools page. We are working on several other automated tools as well as an API for access to our data sets.